summaryrefslogtreecommitdiffstats
path: root/src/grep/tests/backslash-dot
diff options
context:
space:
mode:
Diffstat (limited to 'src/grep/tests/backslash-dot')
-rwxr-xr-xsrc/grep/tests/backslash-dot20
1 files changed, 20 insertions, 0 deletions
diff --git a/src/grep/tests/backslash-dot b/src/grep/tests/backslash-dot
new file mode 100755
index 0000000..b4dd567
--- /dev/null
+++ b/src/grep/tests/backslash-dot
@@ -0,0 +1,20 @@
+#! /bin/sh
+# This once failed to match: echo . | grep '\.'
+#
+# Copyright (C) 2020-2021 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+fail=0
+
+echo . > in || framework_failure_
+
+grep '\.' in > out 2> err || fail=1
+compare in out || fail=1
+compare /dev/null err || fail=1
+
+Exit $fail